Changes between Version 38 and Version 39 of SafeHaskell


Ignore:
Timestamp:
Jan 24, 2011 8:35:22 PM (3 years ago)
Author:
dterei
Comment:

add note that -xsafe and -xsafelanguage cant be used together

Legend:

Unmodified
Added
Removed
Modified
  • SafeHaskell

    v38 v39  
    186186  * '''`-XSafeImports`''' has no special interactions. `-XSafe`, `-XTrustworthy` and `-XSafeLanguage` are all compatible with it as they all imply `-XSafeImports` anyway. 
    187187   
    188   * '''`-XSafeLanguage`''' has the exact same restrictions as `-XSafe`. 
     188  * '''`-XSafeLanguage`''' has the exact same restrictions as `-XSafe`. `-XSafe` and `-XSafeLanguage` can't be used together though simply as it is most likely a mistake by the module author of client if they do. 
    189189 
    190190